Geo::GDAL::FFI::FeatureDefn(3pm)

NAME
Geo::GDAL::FFI::FeatureDefn - A GDAL feature schema

SYNOPSIS

DESCRIPTION

METHODS

  new
 $defn = Geo::GDAL::FFI::FeatureDefn->new({Fields => [...], GeometryType => 'Point'});

Create a new FeatureDefn object.

The named arguments (optional) are the following.

"Name"
    Optional; the name for this feature class; default is the empty string.

"Fields"
    Optional, a reference to an array of FieldDefn objects or schemas.

"GeometryFields"
    Optional, a reference to an array of GeomFieldDefn objects or schemas.

"GeometryType"
    Optional, the type for the first geometry field; default is Unknown. Note that this argument is ignored if GeometryFields is given.

"StyleIgnored"

  GetSchema
Returns the definition as a perl data structure.

  GetFieldDefn
 my $field_defn = $defn->GetFieldDefn($name);

Get the specified non spatial field object. If the argument is explicitly an integer and not a string, it is taken as the field index.

  GetFieldDefns
 my @field_defns = $defn->GetFieldDefns;

  GetGeomFieldDefn
 my $geom_field_defn = $defn->GetGeomFieldDefn($name);

Get the specified spatial field object. If the argument is explicitly an integer and not a string, it is taken as the field index.

  GetGeomFieldDefns
 my @geom_field_defns = $defn->GetGeomFieldDefns;

  SetGeometryIgnored
 $defn->SetGeometryIgnored($arg);

Ignore the first geometry field when reading features from a layer. To not ignore the first geometry field call this method with defined but false (0) argument.

  IsGeometryIgnored
 my $is = $defn->IsGeometryIgnored;

Is the first geometry field ignored when reading features from a layer.

LICENSE
This software is released under the Artistic License. See perlartistic.

AUTHOR
Ari Jolma - Ari.Jolma at gmail.com

SEE ALSO
Geo::GDAL::FFI

Alien::gdal, FFI::Platypus, <http://www.gdal.org>